/* ===================================================================
 * LIENS D'ÉVITEMENT (ACCESSIBILITÉ)
 * =================================================================*/
#lienEvitement {
    &.focus {
        z-index: 1000 !important;
    }

    .lienEvitement(@bleuFonce, #fff, #fff, @bleuFonce);
    background-color: @blanc;
}

/* ===================================================================
 * BOUTON DE MENU MOBILE
 * =================================================================*/
#btnMenuMobile {
    display: none;

    @media screen and (max-width: @mobile) {
        display: inline-block;
        float: left;
        border: none;
        padding: 1.5rem;
        &::before {
            .fas;
            content: '\f0c9';
            font-size: 2rem;
            font-weight: 700;
            color: @texte;
        }

        &[aria-expanded="true"]::before {
            content: '\f00d';
        }
    }
}

/* ===================================================================
 * MENU PRINCIPAL
 * =================================================================*/


#menu {
    .sousMenu {
        display: none;
        top: 100%;
        z-index: 1;
        margin: 20px auto 0;
        padding: 0 20px;
        box-sizing: border-box;

        &:focus,
        &:active {
            outline: none;
        }

        .innerCenter {
            background-color: #fff;
            box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3);
            box-sizing: border-box;
        }
    }

    .sousMenuFermer {
        position: absolute;
        right: 0;
        top: 0;
        width: 4rem;
        height: 4rem;
        margin: 10px;
        padding: 5px;
        line-height: 1;
        background-color: transparent;
        border: none;
        border-bottom: 2px solid transparent;

        &::before {
            .fas;
            .alignement;
            content: '\f00d';
            font-size: 2.5rem;
            color: @rouge;
            transition: all 0.3s;
        }

        &:hover,
        &:focus {
            border-color: @texte;

            &::before {
                color: @texte;
            }
        }
    }

    ul.niv1 {
        display: flex;

        & > li {
            list-style: none;

            &.niv1 {
                display: inline-block;
                margin: 0.5rem 1.5rem;

                @media screen and (min-width: @tabletPlus) {
                    max-width: 135px;
                }

                & > a {
                    position: relative;
                    display: inline-block;
                    text-transform: initial;
                    color: #fff;

                    &:hover, &:focus {
                        &::before {
                            width: 100%;
                        }
                    }

                    &::after {
                        content: '';
                        position: absolute;
                        left: 0;
                        bottom: -5px;
                        display: block;
                        width: 0;
                        height: 2px;
                        border-radius: 3px;
                        background: @vert;
                        .tr;
                    }
                }

                &.selected {
                    & > a {
                        &::after {
                            width: 100%;
                            background: @bleu;
                        }
                    }
                }
            }
        }
    }

    .scrolled & {
        ul.niv1 {
            & > li {
                &.niv1 {
                    &.selected {
                        a::before {
                            background: #fff;
                        }
                    }
                }
            }
        }
    }

    ul.niv2 {
        display: flex;
        flex-wrap: wrap;
        padding: 30px 0;
        width: 100%;

        & > li {
            width: 33.33%;
            padding: 10px 0 30px;

            & > a {
                position: relative;
                display: inline-block;
                padding: 1rem 1rem 0.5rem 2.5rem;
                font-size: 2.1rem;
                text-decoration: none;
                color: #1B272D;

                &:hover,
                &:focus {
                    text-decoration: none;

                    &::after {
                        transform: scale(1.5);
                    }
                }
            }

            &.selected > a {
                font-weight: 700;

                &::after {
                    transform: scale(1.5);
                }
            }
        }
    }

    ul.niv3 {
        & > li {
            & > a {
                display: inline-block;
                position: relative;
                padding: 0.5rem 0.5rem 0.5rem 2.5rem;
                text-decoration: none;
                color: @texte;
                font-size: 1.7rem;

                &:before {
                    content: '\f061';
                    .fas;
                    color: @bleu;
                    margin-right: 10px;
                    .tr;
                }

                &:hover,
                &:focus {
                    text-decoration: none;

                    &:before {
                        color: @bleu_2;
                    }
                }
            }

            &.selected {
                font-weight: 700;
            }
        }
    }

    .sousMenu {
        position: absolute;
        top: 100%;
        width: 100vw;
        left: 50%;
        margin-left: -50vw;
    }

    .sousMenuFermer {
        position: absolute;
        right: 20px;
        top: 0;
        border: none;
        padding: 0.5rem;

        &::before {
            .fas;
            content: '\f00d';
            font-size: 3rem;
        }
    }

    @media screen and (max-width: @mobile) {
        clear: both;
        display: none;
        overflow: hidden;
        position: relative;
        margin-left: -1rem;
        margin-right: -1rem;
        background-color: grey;
        z-index: 2;
        .sousMenu {
            position: relative;
            top: 0;
        }

        .sousMenuFermer {
            display: none;
        }

        ul.niv1 {
            margin: 0.5rem 1rem;
            padding: 1rem 0 1.5rem;

            li.niv1 {
                display: block;

                & > a {
                    display: block;
                }
            }
        }

        li.niv2 {
            float: none;
            width: auto;
            margin: 0.5rem 0;
        }
    }
}


/* ===================================================================
 * MENU SECONDAIRE
 * =================================================================*/
#menuSecondaire {
    @media screen and (max-width: @mobile) {
        display: none;
    }
}


/* ===================================================================
 * FIL D'ARIANE
 * =================================================================*/
#ariane {
    @media screen and (max-width: @mobile) {
        display: none;
    }
}
